<?php

/**
 * @file
 * Provides an entity class for fragments.
 */

/**
 * A class for fragment entities.
 */
class Fragment extends Entity {

  /**
   * Builds a structured array representing the entity's content.
   *
   * @see entity_build_content()
   */
  public function buildContent($view_mode = 'full', $langcode = NULL) {
    // This is just a redirect into the controller by default, but we can
    // add to what is returned.
    $build = entity_get_controller($this->entityType)->buildContent($this, $view_mode, $langcode);

    // Set our own theme.
    $build['#theme'] = 'fragment';

    // Add in contextual links.
    // This (and other things too) can be removed when patch to Entity API at
    // http://drupal.org/node/1598652 lands.
    $build['#contextual_links'] = array(
      'fragment' => array(
        'admin/content/fragments/manage',
        array($this->identifier()),
      )
    );

    return $build;
  }

}
